Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation.ae
Class NewtonSolver

public class NewtonSolver

Created by IntelliJ IDEA. User: sanya Date: Dec 3, 2004 Time: 3:24:24 AM To change this template use File | Settings | File Templates.

Method Summary
`static double` | `calculateHalfNorm(double [] x, AeModel m)`
`static double[][]` | `jacobian(double [] x, double [] function, AeModel model)`
`static double` | `lineSearch(double [] xOld, double fOld, double [] gradient, double [] direction, double maxStep, double [] x, AeModel model, Boolean check)`
`static void` | `luBackSubstitution(double [][] luDecomposition, int [] rowPermutation, double [] rightHandSide)`
`static int []` | `luDecomposition(double[][] matrix)`
`static boolean` | `solve(double [] initialGuess, AeModel model)`
`static void` | `solveLinearEquationsSet(double [][] a, double [] rightHandSide)`

Method Detail

### calculateHalfNorm

    public static double calculateHalfNorm(double [] x, AeModel m)

### jacobian

    public static double[][] jacobian(double [] x, double [] function, AeModel model)
                                throws java.lang.Exception

### lineSearch

    public static double lineSearch(double [] xOld, double fOld, double [] gradient, double [] direction, double maxStep, double [] x, AeModel model, Boolean check)
                              throws java.lang.Exception

### luBackSubstitution

    public static void luBackSubstitution(double [][] luDecomposition, int [] rowPermutation, double [] rightHandSide)
                                    throws java.lang.Exception

### luDecomposition

    public static int [] luDecomposition(double[][] matrix)
                                   throws java.lang.Exception

### solve

    public static boolean solve(double [] initialGuess, AeModel model)
                          throws java.lang.Exception

### solveLinearEquationsSet

    public static void solveLinearEquationsSet(double [][] a, double [] rightHandSide)
                                         throws java.lang.Exception

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM